View Issue Details

IDProjectCategoryView StatusLast Update
00295822.x IDE BugsBuild AndroidPublic2019-05-16 12:04
ReporterStewart BishopAssigned ToRussell Kay 
PriorityMediumSeverityC - GeneralReproducibility100%
Status ClosedResolutionFixed 
PlatformAndroidOSWindows 10OS Version
Product Version2.2.0 
Target Version2.2.2Fixed in Version2.2.2 
Summary0029582: Build Android: Architecture check still happens even if your device is not connected, results in incorrect ARMv5 error
DescriptionDuring run/debug/create, we don't stop a build when ADB tells us that the device you're targeting is not actually connected. This results in an incorrect error that your game options need to be changed to add support for ARMv5.

Expected: On a run/debug, we stop the build when the device selected is not connected and tell the user to connect the device. On a Create Exe, we allow the build to finish and we only check the device capabilities during the installation phase and trust if the device is not suitable the developer will deploy the apk on a suitable device manually later.
Steps To Reproduce1) Add two devices to your device manager
2) Target one device
3) Disconnect it
4) Run
5) See that this still performs the architecture check
TagsAmazonFire, android, Build, IDE, igor
2.x IDE Found In2.2.0.301
2.x Runtime Found In2.2.0.222
2.x IDE Verified In2.2.2.386
2.x Runtime Verified In2.2.2.298

Relationships

related to 0029583 ClosedDan Build Android: Building for an architecture your NDK doesn't support doesn't stop your build from happening 
has duplicate 0030242 ClosedStewart Bishop Build Android: Doing a run when no device is attached results in an incorrect error about the device requiring ARMv5 

Activities

Mike Dailly

2018-06-04 09:33

Developer   ~0060141

You should be able to make an APK for anything, but should just refuse to install on devices that don't support the architecture

Russell Kay

2018-12-10 21:49

Manager   ~0062210

Fixed in gitlab

Dan

2019-01-28 17:11

Adminstrator   ~0062533

All good now. You get told the device is not connected and the run aborts pretty quickly (just after we query with ADB what is connected).